Bug 521900 - Fix instances of #!/usr/bin/env python in subversion
Fix instances of #!/usr/bin/env python in subversion
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subversion (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Joe Orton
qe-baseos-daemons
:
Depends On:
Blocks: 502912 521940
  Show dependency treegraph
 
Reported: 2009-09-08 12:27 EDT by Issue Tracker
Modified: 2011-01-13 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:14:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-09-08 12:27:28 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-09-08 12:27:30 EDT
Event posted on 09-08-2009 12:24pm EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, subversion in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  

All the affected python scripts in this package were found in:

/usr/share/doc/subversion-1.4.2/tools/

This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339913
Comment 2 Joe Orton 2009-10-13 10:12:34 EDT
This is simple enough to do.
Comment 4 RHEL Product and Program Management 2009-11-06 14:04:45 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2011-01-13 17:14:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0039.html

Note You need to log in before you can comment on or make changes to this bug.